import sys

from PySide.QtGui import QApplication
from pivy import coin, quarter


def main():
    app = QApplication(sys.argv)
    points1 = [[-2,-2,0], [-1,-1,0], [1,-1,0], [1,1,0], [-1,1,0],[-1,-1,0],
                [-2,-2,0], [-2,2,0], [2,2,0], [2,-2,0]]

    root = coin.SoSeparator()


    col = coin.SoBaseColor()
    col.rgb = coin.SbColor(1, 1, 0)
    root += col

    sh = coin.SoShapeHints()
    sh.vertexOrdering = coin.SoShapeHints.COUNTERCLOCKWISE
    sh.faceType = sh.UNKNOWN_FACE_TYPE
    sh.shapeType = coin.SoShapeHints.SOLID
    root += sh

    vertices = coin.SoVertexProperty()
    vertices.vertex.setValues(0, len(points1), points1)
    face = coin.SoFaceSet()
    root += vertices, face

    viewer = quarter.QuarterWidget()
    viewer.setSceneGraph(root)

    viewer.setWindowTitle("minimal")
    viewer.show()
    sys.exit(app.exec_())

if __name__ == '__main__':
    main()
